Intermittent GECKO(2181) | Assertion failure: mGroup, at /builds/worker/workspace/build/src/docshell/base/BrowsingContext.cpp:188

RESOLVED FIXED in Firefox 68

Status

()

defect
P5
normal
RESOLVED FIXED
5 months ago
2 months ago

People

(Reporter: intermittent-bug-filer, Assigned: Nika)

Tracking

(Blocks 1 bug, Regression, {intermittent-failure, regression})

unspecified
mozilla69
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Fission Milestone:M4, firefox-esr60 unaffected, firefox67 wontfix, firefox68 fixed, firefox69 fixed)

Details

(Whiteboard: [stockwell unknown], crash signature)

Attachments

(1 attachment)

#[markdown(off)]
Filed by: rgurzau [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=234344517&repo=mozilla-inbound

https://queue.taskcluster.net/v1/task/GdabZpK3R8mYDRolgdwkYw/runs/0/artifacts/public/logs/live_backing.log

[task 2019-03-16T13:44:55.669Z] 13:44:55 INFO - TEST-START | browser/components/contextualidentity/test/browser/browser_usercontextid_tabdrop.js
[task 2019-03-16T13:45:00.792Z] 13:45:00 INFO - GECKO(2181) | MEMORY STAT | vsize 20974581MB | residentFast 1219MB
[task 2019-03-16T13:45:00.795Z] 13:45:00 INFO - TEST-OK | browser/components/contextualidentity/test/browser/browser_usercontextid_tabdrop.js | took 5121ms
[task 2019-03-16T13:45:00.854Z] 13:45:00 INFO - checking window state
[task 2019-03-16T13:45:00.932Z] 13:45:00 INFO - TEST-START | browser/components/contextualidentity/test/browser/browser_windowName.js
[task 2019-03-16T13:45:01.754Z] 13:45:01 INFO - GECKO(2181) | Assertion failure: mGroup, at /builds/worker/workspace/build/src/docshell/base/BrowsingContext.cpp:188
[task 2019-03-16T13:45:01.755Z] 13:45:01 INFO - GECKO(2181) | AddressSanitizer:DEADLYSIGNAL
[task 2019-03-16T13:45:01.755Z] 13:45:01 INFO - GECKO(2181) | =================================================================
[task 2019-03-16T13:45:01.757Z] 13:45:01 ERROR - GECKO(2181) | ==2285==ERROR: AddressSanitizer: SEGV on unknown address 0x000000000001 (pc 0x7f1fbe763b3a bp 0x7fff895da8f0 sp 0x7fff895da820 T0)
[task 2019-03-16T13:45:01.758Z] 13:45:01 INFO - GECKO(2181) | ==2285==The signal is caused by a WRITE memory access.
[task 2019-03-16T13:45:01.760Z] 13:45:01 INFO - GECKO(2181) | ==2285==Hint: address points to the zero page.
[task 2019-03-16T13:45:02.496Z] 13:45:02 INFO - GECKO(2181) | #0 0x7f1fbe763b39 in mozilla::dom::BrowsingContext::BrowsingContext(mozilla::dom::BrowsingContext*, mozilla::dom::BrowsingContextGroup*, unsigned long, mozilla::dom::BrowsingContext::Type) /builds/worker/workspace/build/src/docshell/base/BrowsingContext.cpp:187:3
[task 2019-03-16T13:45:02.496Z] 13:45:02 INFO - GECKO(2181) | #1 0x7f1fbe7619e3 in mozilla::dom::BrowsingContext::Create(mozilla::dom::BrowsingContext*, mozilla::dom::BrowsingContext*, nsTSubstring<char16_t> const&, mozilla::dom::BrowsingContext::Type) /builds/worker/workspace/build/src/docshell/base/BrowsingContext.cpp:119:19
[task 2019-03-16T13:45:02.504Z] 13:45:02 INFO - GECKO(2181) | #2 0x7f1fbad14883 in mozilla::dom::ContentChild::ProvideWindowCommon(mozilla::dom::TabChild*, mozIDOMWindowProxy*, bool, unsigned int, bool, bool, bool, nsIURI*, nsTSubstring<char16_t> const&, nsTSubstring<char> const&, bool, nsDocShellLoadState*, bool*, mozIDOMWindowProxy**) /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp:935:45
[task 2019-03-16T13:45:02.542Z] 13:45:02 INFO - GECKO(2181) | #3 0x7f1fbade2bd6 in mozilla::dom::TabChild::ProvideWindow(mozIDOMWindowProxy*, unsigned int, bool, bool, bool, nsIURI*, nsTSubstring<char16_t> const&, nsTSubstring<char> const&, bool, nsDocShellLoadState*, bool*, mozIDOMWindowProxy**) /builds/worker/workspace/build/src/dom/ipc/TabChild.cpp:922:14
[task 2019-03-16T13:45:02.543Z] 13:45:02 INFO - GECKO(2181) | #4 0x7f1fbf26f9f8 in nsWindowWatcher::OpenWindowInternal(mozIDOMWindowProxy*, char const*, char const*, char const*, bool, bool, bool, nsIArray*, bool, bool, nsDocShellLoadState*, mozIDOMWindowProxy**) /builds/worker/workspace/build/src/toolkit/components/windowwatcher/nsWindowWatcher.cpp:753:24
[task 2019-03-16T13:45:02.544Z] 13:45:02 INFO - GECKO(2181) | #5 0x7f1fbf2736dc in OpenWindow2 /builds/worker/workspace/build/src/toolkit/components/windowwatcher/nsWindowWatcher.cpp:365:10
[task 2019-03-16T13:45:02.545Z] 13:45:02 INFO - GECKO(2181) | #6 0x7f1fbf2736dc in non-virtual thunk to nsWindowWatcher::OpenWindow2(mozIDOMWindowProxy*, char const*, char const*, char const*, bool, bool, bool, nsISupports*, bool, bool, nsDocShellLoadState*, mozIDOMWindowProxy**) /builds/worker/workspace/build/src/toolkit/components/windowwatcher/nsWindowWatcher.cpp
[task 2019-03-16T13:45:02.560Z] 13:45:02 INFO - GECKO(2181) | #7 0x7f1fb66c163f in nsGlobalWindowOuter::OpenInternal(nsTSubstring<char16_t> const&, nsTSubstring<char16_t> const&, nsTSubstring<char16_t> const&, bool, bool, bool, bool, bool, nsIArray*, nsISupports*, nsDocShellLoadState*, bool, nsPIDOMWindowOuter**) /builds/worker/workspace/build/src/dom/base/nsGlobalWindowOuter.cpp:7181:21
[task 2019-03-16T13:45:02.562Z] 13:45:02 INFO - GECKO(2181) | #8 0x7f1fb66bffcf in OpenJS /builds/worker/workspace/build/src/dom/base/nsGlobalWindowOuter.cpp:5694:10
[task 2019-03-16T13:45:02.562Z] 13:45:02 INFO - GECKO(2181) | #9 0x7f1fb66bffcf in nsGlobalWindowOuter::OpenOuter(nsTSubstring<char16_t> const&, nsTSubstring<char16_t> const&, nsTSubstring<char16_t> const&, mozilla::ErrorResult&) /builds/worker/workspace/build/src/dom/base/nsGlobalWindowOuter.cpp:5666
[task 2019-03-16T13:45:02.579Z] 13:45:02 INFO - GECKO(2181) | #10 0x7f1fb665ec21 in nsGlobalWindowInner::Open(nsTSubstring<char16_t> const&, nsTSubstring<char16_t> const&, nsTSubstring<char16_t> const&, mozilla::ErrorResult&) /builds/worker/workspace/build/src/dom/base/nsGlobalWindowInner.cpp:3630:3

Duplicate of this bug: 1544669

There are 22 total failures in the last 7 days: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-04-24&endday=2019-05-01&tree=trunk&bug=1535835

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=243894376&repo=autoland&lineNumber=4016

[task 2019-05-01T11:16:05.128Z] 11:16:05 INFO - TEST-START | toolkit/components/antitracking/test/browser/browser_blockingIndexedDbInWorkers.js
[task 2019-05-01T11:16:39.593Z] 11:16:39 INFO - GECKO(4102) | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2019-05-01T11:16:39.632Z] 11:16:39 INFO - GECKO(4102) | MEMORY STAT | vsize 20975171MB | residentFast 1211MB
[task 2019-05-01T11:16:39.634Z] 11:16:39 INFO - TEST-OK | toolkit/components/antitracking/test/browser/browser_blockingIndexedDbInWorkers.js | took 34505ms
[task 2019-05-01T11:16:39.690Z] 11:16:39 INFO - checking window state
[task 2019-05-01T11:16:39.751Z] 11:16:39 INFO - TEST-START | toolkit/components/antitracking/test/browser/browser_blockingLocalStorage.js
[task 2019-05-01T11:16:49.214Z] 11:16:49 INFO - GECKO(4102) | Assertion failure: mGroup, at /builds/worker/workspace/build/src/docshell/base/BrowsingContext.cpp:187
[task 2019-05-01T11:16:49.216Z] 11:16:49 INFO - GECKO(4102) | AddressSanitizer:DEADLYSIGNAL
[task 2019-05-01T11:16:49.217Z] 11:16:49 INFO - GECKO(4102) | =================================================================
[task 2019-05-01T11:16:49.218Z] 11:16:49 ERROR - GECKO(4102) | ==4230==ERROR: AddressSanitizer: SEGV on unknown address 0x000000000001 (pc 0x7f3abbafc9ff bp 0x7fff60785270 sp 0x7fff60785180 T0)
[task 2019-05-01T11:16:49.219Z] 11:16:49 INFO - GECKO(4102) | ==4230==The signal is caused by a WRITE memory access.
[task 2019-05-01T11:16:49.220Z] 11:16:49 INFO - GECKO(4102) | ==4230==Hint: address points to the zero page.
[task 2019-05-01T11:16:50.165Z] 11:16:50 INFO - GECKO(4102) | #0 0x7f3abbafc9fe in mozilla::dom::BrowsingContext::BrowsingContext(mozilla::dom::BrowsingContext*, mozilla::dom::BrowsingContextGroup*, unsigned long, mozilla::dom::BrowsingContext::Type) /builds/worker/workspace/build/src/docshell/base/BrowsingContext.cpp:186:3
[task 2019-05-01T11:16:50.173Z] 11:16:50 INFO - GECKO(4102) | #1 0x7f3abbafa925 in mozilla::dom::BrowsingContext::Create(mozilla::dom::BrowsingContext*, mozilla::dom::BrowsingContext*, nsTSubstring<char16_t> const&, mozilla::dom::BrowsingContext::Type) /builds/worker/workspace/build/src/docshell/base/BrowsingContext.cpp:120:19
[task 2019-05-01T11:16:50.250Z] 11:16:50 INFO - GECKO(4102) | #2 0x7f3ab3ddc097 in CreateBrowsingContext(mozilla::dom::Element*, mozilla::dom::BrowsingContext*) /builds/worker/workspace/build/src/dom/base/nsFrameLoader.cpp
[task 2019-05-01T11:16:50.250Z] 11:16:50 INFO - GECKO(4102) | #3 0x7f3ab3ddb832 in nsFrameLoader::Create(mozilla::dom::Element*, mozilla::dom::BrowsingContext*, bool) /builds/worker/workspace/build/src/dom/base/nsFrameLoader.cpp:359:37
[task 2019-05-01T11:16:50.306Z] 11:16:50 INFO - GECKO(4102) | #4 0x7f3ab6efa4fc in nsGenericHTMLFrameElement::EnsureFrameLoader() /builds/worker/workspace/build/src/dom/html/nsGenericHTMLFrameElement.cpp:132:18
[task 2019-05-01T11:16:50.307Z] 11:16:50 INFO - GECKO(4102) | #5 0x7f3ab6efb1d1 in LoadSrc /builds/worker/workspace/build/src/dom/html/nsGenericHTMLFrameElement.cpp:192:3
[task 2019-05-01T11:16:50.307Z] 11:16:50 INFO - GECKO(4102) | #6 0x7f3ab6efb1d1 in nsGenericHTMLFrameElement::BindToTree(mozilla::dom::Document*, nsIContent*, nsIContent*) /builds/worker/workspace/build/src/dom/html/nsGenericHTMLFrameElement.cpp:217
[task 2019-05-01T11:16:50.348Z] 11:16:50 INFO - GECKO(4102) | #7 0x7f3ab6d5fa41 in mozilla::dom::HTMLIFrameElement::BindToTree(mozilla::dom::Document*, nsIContent*, nsIContent*) /builds/worker/workspace/build/src/dom/html/HTMLIFrameElement.cpp:71:34
[task 2019-05-01T11:16:50.384Z] 11:16:50 INFO - GECKO(4102) | #8 0x7f3ab3e22d48 in nsINode::InsertChildBefore(nsIContent*, nsIContent*, bool) /builds/worker/workspace/build/src/dom/base/nsINode.cpp:1247:23
[task 2019-05-01T11:16:50.384Z] 11:16:50 INFO - GECKO(4102) | #9 0x7f3ab3e2b7a0 in nsINode::ReplaceOrInsertBefore(bool, nsINode*, nsINode*, mozilla::ErrorResult&) /builds/worker/workspace/build/src/dom/base/nsINode.cpp:2362:14
[task 2019-05-01T11:16:50.501Z] 11:16:50 INFO - GECKO(4102) | #10 0x7f3ab47354e5 in InsertBefore /builds/worker/workspace/build/src/dom/base/nsINode.h:1679:12
[task 2019-05-01T11:16:50.502Z] 11:16:50 INFO - GECKO(4102) | #11 0x7f3ab47354e5 in AppendChild /builds/worker/workspace/build/src/dom/base/nsINode.h:1682
[task 2019-05-01T11:16:50.503Z] 11:16:50 INFO - GECKO(4102) | #12 0x7f3ab47354e5 in mozilla::dom::Node_Binding::appendChild(JSContext*, JS::Handle<JSObject*>, nsINode*, JSJitMethodCallArgs const&) /builds/worker/workspace/build/src/obj-firefox/dom/bindings/NodeBinding.cpp:1018
[task 2019-05-01T11:16:50.545Z] 11:16:50 INFO - GECKO(4102) | #13 0x7f3ab636e6f0 in bool mozilla::dom::binding_detail::GenericMethod<mozilla::dom::binding_detail::NormalThisPolicy, mozilla::dom::binding_detail::ThrowExceptions>(JSContext*, unsigned int, JS::Value*) /builds/worker/workspace/build/src/dom/bindings/BindingUtils.cpp:3153:13
[task 2019-05-01T11:16:50.587Z] 11:16:50 INFO - GECKO(4102) | #14 0x7f3abc9987d0 in CallJSNative /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:443:13
[task 2019-05-01T11:16:50.588Z] 11:16:50 INFO - GECKO(4102) | #15 0x7f3abc9987d0 in js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:535
[task 2019-05-01T11:16:50.590Z] 11:16:50 INFO - GECKO(4102) | #16 0x7f3abc978f37 in CallFromStack /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:594:10
[task 2019-05-01T11:16:50.591Z] 11:16:50 INFO - GECKO(4102) | #17 0x7f3abc978f37 in Interpret(JSContext*, js::RunState&) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:3080
[task 2019-05-01T11:16:50.592Z] 11:16:50 INFO - GECKO(4102) | #18 0x7f3abc962a28 in js::RunScript(JSContext*, js::RunState&) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:423:10
[task 2019-05-01T11:16:50.594Z] 11:16:50 INFO - GECKO(4102) | #19 0x7f3abc999143 in js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:563:13
[task 2019-05-01T11:16:50.595Z] 11:16:50 INFO - GECKO(4102) | #20 0x7f3abc99adc2 in js::Call(JSContext*, JS::Handle<JS::Value>, JS::Handle<JS::Value>, js::AnyInvokeArgs const&, JS::MutableHandle<JS::Value>) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:606:8
[task 2019-05-01T11:16:50.676Z] 11:16:50 INFO - GECKO(4102) | #21 0x7f3abcae3e27 in js::PromiseObject::create(JSContext*, JS::Handle<JSObject*>, JS::Handle<JSObject*>, bool) /builds/worker/workspace/build/src/js/src/builtin/Promise.cpp:2237:15
[task 2019-05-01T11:16:50.677Z] 11:16:50 INFO - GECKO(4102) | #22 0x7f3abcb2d248 in PromiseConstructor(JSContext*, unsigned int, JS::Value*) /builds/worker/workspace/build/src/js/src/builtin/Promise.cpp:2158:7
[task 2019-05-01T11:16:50.678Z] 11:16:50 INFO - GECKO(4102) | #23 0x7f3abc99c027 in CallJSNative /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:443:13
[task 2019-05-01T11:16:50.679Z] 11:16:50 INFO - GECKO(4102) | #24 0x7f3abc99c027 in CallJSNativeConstructor /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:459
[task 2019-05-01T11:16:50.679Z] 11:16:50 INFO - GECKO(4102) | #25 0x7f3abc99c027 in InternalConstruct(JSContext*, js::AnyConstructArgs const&) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:633
[task 2019-05-01T11:16:50.683Z] 11:16:50 INFO - GECKO(4102) | #26 0x7f3abc99cb13 in js::Construct(JSContext*, JS::Handle<JS::Value>, js::AnyConstructArgs const&, JS::Handle<JS::Value>, JS::MutableHandle<JSObject*>) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:691:8
[task 2019-05-01T11:16:50.744Z] 11:16:50 INFO - GECKO(4102) | #27 0x7f3abd601b5b in JS::Construct(JSContext*, JS::Handle<JS::Value>, JS::Handle<JSObject*>, JS::HandleValueArray const&, JS::MutableHandle<JSObject*>) /builds/worker/workspace/build/src/js/src/jsapi.cpp:2665:10
[task 2019-05-01T11:16:50.765Z] 11:16:50 INFO - GECKO(4102) | #28 0x7f3ab203db3c in xpc::JSXrayTraits::construct(JSContext*, JS::Handle<JSObject*>, JS::CallArgs const&, js::Wrapper const&) /builds/worker/workspace/build/src/js/xpconnect/wrappers/XrayWrapper.cpp:1029:10
[task 2019-05-01T11:16:50.789Z] 11:16:50 INFO - GECKO(4102) | #29 0x7f3abd6bbfbd in js::Proxy::construct(JSContext*, JS::Handle<JSObject*>, JS::CallArgs const&) /builds/worker/workspace/build/src/js/src/proxy/Proxy.cpp:523:19
[task 2019-05-01T11:16:50.790Z] 11:16:50 INFO - GECKO(4102) | #30 0x7f3abc99b448 in InternalConstruct(JSContext*, js::AnyConstructArgs const&) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:646:12
[task 2019-05-01T11:16:50.791Z] 11:16:50 INFO - GECKO(4102) | #31 0x7f3abc978df9 in Interpret(JSContext*, js::RunState&) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:3071:16
[task 2019-05-01T11:16:50.792Z] 11:16:50 INFO - GECKO(4102) | #32 0x7f3abc962a28 in js::RunScript(JSContext*, js::RunState&) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:423:10
[task 2019-05-01T11:16:50.792Z] 11:16:50 INFO - GECKO(4102) | #33 0x7f3abc999143 in js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:563:13
[task 2019-05-01T11:16:50.792Z] 11:16:50 INFO - GECKO(4102) | #34 0x7f3abc99adc2 in js::Call(JSContext*, JS::Handle<JS::Value>, JS::Handle<JS::Value>, js::AnyInvokeArgs const&, JS::MutableHandle<JS::Value>) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:606:8
[task 2019-05-01T11:16:50.888Z] 11:16:50 INFO - GECKO(4102) | #35 0x7f3abceccce4 in js::fun_call(JSContext*, unsigned int, JS::Value*) /builds/worker/workspace/build/src/js/src/vm/JSFunction.cpp:1115:10
[task 2019-05-01T11:16:50.889Z] 11:16:50 INFO - GECKO(4102) | #36 0x7f3abc9987d0 in CallJSNative /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:443:13
[task 2019-05-01T11:16:50.889Z] 11:16:50 INFO - GECKO(4102) | #37 0x7f3abc9987d0 in js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:535
[task 2019-05-01T11:16:50.889Z] 11:16:50 INFO - GECKO(4102) | #38 0x7f3abc978f37 in CallFromStack /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:594:10
[task 2019-05-01T11:16:50.889Z] 11:16:50 INFO - GECKO(4102) | #39 0x7f3abc978f37 in Interpret(JSContext*, js::RunState&) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:3080
[task 2019-05-01T11:16:50.890Z] 11:16:50 INFO - GECKO(4102) | #40 0x7f3abc962a28 in js::RunScript(JSContext*, js::RunState&) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:423:10
[task 2019-05-01T11:16:50.891Z] 11:16:50 INFO - GECKO(4102) | #41 0x7f3abc999143 in js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:563:13
[task 2019-05-01T11:16:50.891Z] 11:16:50 INFO - GECKO(4102) | #42 0x7f3abc99adc2 in js::Call(JSContext*, JS::Handle<JS::Value>, JS::Handle<JS::Value>, js::AnyInvokeArgs const&, JS::MutableHandle<JS::Value>) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:606:8
[task 2019-05-01T11:16:50.891Z] 11:16:50 INFO - GECKO(4102) | #43 0x7f3abd600de8 in JS::Call(JSContext*, JS::Handle<JS::Value>, JS::Handle<JS::Value>, JS::HandleValueArray const&, JS::MutableHandle<JS::Value>) /builds/worker/workspace/build/src/js/src/jsapi.cpp:2636:10

Kyle, could you please assign this to someone?

Flags: needinfo?(kyle)
Whiteboard: [stockwell needswork:owner]

Looks like this came in as part of Bug 1532661, ni'ing? to nika.

Flags: needinfo?(kyle) → needinfo?(nika)

Oh boy, more BrowsingContext lifecycle fun~! 🎉

As we assert in the BrowsingContext constructor, we know that no previous BC has been constructed with a null mGroup value. The mGroup value going into the constructor has one of 3 potential values:

  1. aParent->Group()
  2. aOpener->Group()
  3. a brand new group

As the only way we can be getting a null in here is if another BrowsingContext has had its group set to nullptr. We never explicitly do this during the lifetime of a BrowsingContext, in fact we treat mGroup as almost immutable. In fact, the only place where we clear it is in Unlink().

I think this is caused by us not clearing the global ID-based reference within unlink.

Flags: needinfo?(nika)
Pushed by nlayzell@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/38b03d99f39c
Remove global weak ref to BrowsingContext within Unlink(), r=farre
Status: NEW → RESOLVED
Closed: 3 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla69
Duplicate of this bug: 1551352
Crash Signature: [@ mozilla::dom::BrowsingContext::BrowsingContext(mozilla::dom::BrowsingContext*, mozilla::dom::BrowsingContextGroup*, unsigned long long, mozilla::dom::BrowsingContext::Type)]

Please nominate this for Beta approval when you get a chance.

Flags: needinfo?(nika)
Regressed by: 1532661

Comment on attachment 9064105 [details]
Bug 1535835 - Remove global weak ref to BrowsingContext within Unlink(),

Beta/Release Uplift Approval Request

  • User impact if declined: May be additional crashes due to violated invariants
  • Is this code covered by automated tests?: Yes
  • Has the fix been verified in Nightly?: Yes
  • Needs manual test from QE?: No
  • If yes, steps to reproduce:
  • List of other uplifts needed: None
  • Risk to taking this patch: Low
  • Why is the change risky/not risky? (and alternatives if risky): Minor improvement to refcounted object lifecycle early in beta cycle.
  • String changes made/needed: None
Flags: needinfo?(nika)
Attachment #9064105 - Flags: approval-mozilla-beta?

Comment on attachment 9064105 [details]
Bug 1535835 - Remove global weak ref to BrowsingContext within Unlink(),

approved for 68.0b7

Attachment #9064105 - Flags: approval-mozilla-beta? → approval-mozilla-beta+
Blocks: improve-bc
Fission Milestone: --- → M4
You need to log in before you can comment on or make changes to this bug.